reset a live event.md

Reset a Live Event

Media API · Live Events

POST https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/reset

NOT IMPLEMENTED. Resets a Live Event. All live outputs for the live event are deleted and the live event is stopped and will be started again.

RBAC Capability Required: ams.liveevent.create

Authentication

Path parameters

Name Type Required Description
project_name string Yes
event_name string Yes

Example request

curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/reset" \
  -H "Authorization: Bearer <token>"

Responses

400 — Not implemented

No response body.

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/liveEvents/{event_name}/reset